@import 'variables.scss';

input[type='text']::-ms-clear {
  display: none;
}

.list-sub {
  display: flex;
  align-items: center;
  width: 100%;
  margin: 0;
  padding: 0;
  list-style-type: none;

  li {
    position: relative;
    width: calc(7.9% - 10px);
    margin-right: 10px;
    padding-bottom: 12px;

    &:nth-child(1) {
      width: calc(12.61% - 10px);

      .input-here {
        input {
          text-align: left !important;
        }
      }
    }

    .title-add {
      display: block;
      margin-bottom: 7px;
      font-size: 15px;
      font-weight: 500;
      color: $gray-darker;
    }

    ::ng-deep.input-here {
      width: 100%;
      height: 35px;
      background: $white-text-color;
      border-radius: 5px;
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.05);
      position: relative;

      &.is-invalid {
        mat-form-field {
          .mat-form-field-wrapper {
            .mat-form-field-flex {
              .mat-form-field-outline {
                .mat-form-field-outline-start {
                  min-width: 0;
                  border: 0;
                }

                .mat-form-field-outline-end {
                  border: 2px solid $red-color;
                  border-radius: 5px;
                }
              }
            }
          }
        }
      }

      mat-form-field {
        width: 100%;
        height: 100%;

        .mat-form-field-wrapper {
          width: 100%;
          height: 100%;
          padding: 0;
          margin: 0;

          .mat-form-field-flex {
            padding: 0;
            margin: 0;
          }
        }

        .mat-form-field-underline {
          bottom: 0;
        }

        .mat-form-field-infix {
          width: 100%;
          padding: 0;
          border-top: 0;
          background: transparent;
        }

        &.mat-focused {
          .mat-form-field-wrapper {
            .mat-form-field-flex {
              .mat-form-field-infix {
                .full-value {
                  display: block;
                }
              }
            }
          }
        }
      }

      .mat-form-field-appearance-outline {
        .mat-form-field-outline {
          top: 0;
        }
      }

      input {
        width: 100%;
        height: 100%;
        font-size: 15px;
        color: $gray-darker;
        border: none;
        outline: none;
        text-align: right !important;

        ::-webkit-input-placeholder {
          color: rgba(41, 43, 44, 0.5);
        }

        ::-moz-placeholder {
          color: rgba(41, 43, 44, 0.5);
        }

        :-ms-input-placeholder {
          color: rgba(41, 43, 44, 0.5);
        }
      }

      .full-value {
        display: none;
        padding-left: 12px;
        font-size: 10px;
        color: $primary-color;
        text-transform: uppercase;
        position: absolute;
        top: 36px;
        left: 0;

        &:before {
          content: '';
          display: block;
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 0 2.5px 2.5px 2.5px;
          border-color: transparent transparent $primary-color transparent;
          position: absolute;
          top: 6px;
          left: 2px;
        }
      }

      &.is-focus {
        border: 1px solid $primary-color;

        .presure-text {
          display: block;
        }
      }
    }

    .click-remove {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 20px;
      height: 20px;
      position: absolute;
      top: 8px;
      right: -28px;
      z-index: 10;
    }
  }
}
